description

# Float64x2 class Null safety

Float64x2 immutable value type and operations.

Float64x2 stores 2 64-bit floating point values in "lanes". The lanes are "x" and "y" respectively.

## Constructors

Float64x2(double x, double y)
  factory
Float64x2.fromFloat32x4(Float32x4 v)
  Uses the "x" and "y" lanes from `v`.
  factory
Float64x2.splat(double v)
  factory
Float64x2.zero()
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
signMask → int
  Extract the sign bits from each lane return them in the first 2 bits. "x" lane is bit 0. "y" lane is bit 1.
  read-only
x → double
  Extracted x value.
  read-only
y → double
  Extracted y value.
  read-only

## Methods

abs() → Float64x2
  Returns the lane-wise absolute value of this Float64x2.
clamp(Float64x2 lowerLimit, Float64x2 upperLimit) → Float64x2
  Lane-wise clamp this to be in the range `lowerLimit`-`upperLimit`.
max(Float64x2 other) → Float64x2
  Returns the lane-wise maximum value in this or `other`.
min(Float64x2 other) → Float64x2
  Returns the lane-wise minimum value in this or `other`.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
scale(double s) → Float64x2
  Returns a copy of this each lane being scaled by `s`. Equivalent to this * new Float64x2.splat(s)
sqrt() → Float64x2
  Returns the lane-wise square root of this.
toString() → String
  Returns a string representation of this object.
  inherited
withX(double x) → Float64x2
  Returns a new Float64x2 copied from this with a new x value.
withY(double y) → Float64x2
  Returns a new Float64x2 copied from this with a new y value.

## Operators

operator *(Float64x2 other) → Float64x2
  Multiplication operator.
operator +(Float64x2 other) → Float64x2
  Addition operator.
operator -(Float64x2 other) → Float64x2
  Subtraction operator.
operator /(Float64x2 other) → Float64x2
  Division operator.
operator ==(Object other) → bool
  The equality operator. [...]
  inherited
operator unary-() → Float64x2
  Negate operator.